- Main Page
- Related Pages
- Modules
- Namespaces
- Data Structures
- Files
- Examples

- Data Structures
- Data Structure Index
- Class Hierarchy
- Data Fields

Data Fields
_Eina_File_Direct_Info Struct Reference
Eina » Tools » File

The structure to store information of a path. More...

## Data Fields
size_t | path_length
| Size of the whole path.
size_t | name_length
| Size of the filename/basename component.
size_t | name_start
| Start position of the filename/basename component.
Eina_File_Type | type
| File type.
char | path [EINA_PATH_MAX]
| The path.

## Detailed Description

The structure to store information of a path.

Examples:
  eina_file_01.c.